<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>EjemploIntegradorAWS</groupId>
	<artifactId>EjemploIntegradorAWS</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<dependencies>

		<!-- https://mvnrepository.com/artifact/com.opencsv/opencsv -->
		<dependency>
			<groupId>com.opencsv</groupId>
			<artifactId>opencsv</artifactId>
			<version>5.11</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.hibernate.orm/hibernate-core -->
		<dependency>
			<groupId>org.hibernate.orm</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>7.0.0.Final</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.mongodb/mongodb-driver-sync -->
		<dependency>
			<groupId>org.mongodb</groupId>
			<artifactId>mongodb-driver-sync</artifactId>
			<version>5.5.0</version>
		</dependency>

		<!-- AWS SDK v2 - Core (Necesario para todos los servicios) -->
		<dependency>
			<groupId>software.amazon.awssdk</groupId>
			<artifactId>aws-core</artifactId>
			<version>2.20.14</version> <!-- Usa la última versión disponible -->
		</dependency>

		<!-- Dependencia para S3 -->
		<dependency>
			<groupId>software.amazon.awssdk</groupId>
			<artifactId>s3</artifactId>
			<version>2.20.14</version> <!-- Usa la misma versión que aws-core -->
		</dependency>

		<!-- Dependencia para DynamoDB -->
		<dependency>
			<groupId>software.amazon.awssdk</groupId>
			<artifactId>dynamodb</artifactId>
			<version>2.20.14</version> <!-- Usa la misma versión que aws-core -->
		</dependency>

		<!-- Dependencia para la autenticación -->
		<dependency>
			<groupId>software.amazon.awssdk</groupId>
			<artifactId>auth</artifactId>
			<version>2.20.14</version> <!-- Usa la misma versión que aws-core -->
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.projectlombok/lombok -->
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>1.18.38</version>
			<scope>provided</scope>
		</dependency>

	</dependencies>

</project>